%global momorel 6
Name: perl-Bit-Vector
Version: 6.4
Release: %{momorel}m%{?dist}
Summary: Bit-Vector Perl module
License: GPL or Artistic
Group: Development/Languages
URL: http://www.cpan.org/modules/by-module/Bit/
Source0: http://www.cpan.org/modules/by-module/Bit/Bit-Vector-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: perl >= 5.8.5, perl-Carp-Clan

%description
Bit-Vector Perl module
%prep
%setup -q -n Bit-Vector-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Bit-Vector-%{version}-filelist
if [ "$(cat Bit-Vector-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

perl -p -i -e 's,/usr/local/bin,/usr/bin,' examples/*

rm -f %{buildroot}%{perl_vendorarch}/auto/Bit/Vector/.packlist

%files -f Bit-Vector-%{version}-filelist
%defattr(-,root,root)
%doc *.txt examples

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.4-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.4-5m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (6.4-4m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4-3m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4-2m)
- rebuilt against perl-5.8.7

* Fri Dec 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.4-1m)
- update to 6.4

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.3-8m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (6.3-7m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (6.3-6m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.3-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (6.3-4m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (6.3-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (6.3-2m)
- rebuild against perl-5.8.0

* Mon Sep 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (6.3-1m)
- major feature enhancements

* Sun Sep 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (6.2-1m)

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (6.1-5m)
- remove BuildPreReq: gcc2.95.3

* Tue May 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (6.1-4k)
- fix a typo to avoid a conflict of Carp::Clan.3*

* Sun May 12 2002 Toru Hoshina <t@Kondara.org>
- (6.1-2k)
- version up.
